extends:
  - recommended

apis:
  redactmanager:
    root: ./persistence-service-v1/persistence-service-external-api-v2/src/main/resources/api/redactmanager.yaml
    labels:
      - redactmanager
    theme:
      openapi:
        htmlTemplate: ./redocly/templates/redactmanager.hbs
        generateCodeSamples:
          languages:
            - lang: curl
              label: Script (cURL)
            - lang: Python
            - lang: JavaScript
        hideRequestPayloadSample: false
        disableSearch: false

  documine:
    root: ./persistence-service-v1/persistence-service-external-api-v2/src/main/resources/api/documine.yaml
    labels:
      - documine
    theme:
      openapi:
        htmlTemplate: ./redocly/templates/documine.hbs
        generateCodeSamples:
          languages:
            - lang: curl
              label: Script (cURL)
            - lang: Python
            - lang: JavaScript
        hideRequestPayloadSample: false
        disableSearch: false
